#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    demeter database
    name:farm_work_category.py
    author:rabin
"""
from __load__ import *

class Farm_work_category(Model):
	__table__ = 'farm_work_category'
	__comment__ = '农事分类表'
	#id = Fields(type='uuid', primaryKey=True, comment='分类ID', uuid='farm_id')
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='农事分类ID')
	#farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	name = Fields(type='varchar(50)', comment='分类名')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')